# Class Annotations

java.lang.Object
org.apache.tomcat.util.bcel.classfile.Annotations

public class Annotations extends Object
base class for annotations

## Method Summary

Modifier and Type
Method
Description
`AnnotationEntry[]`
`getAnnotationEntries()`
Gets the array of annotation entries in this annotation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAnnotationEntries

public AnnotationEntry[] getAnnotationEntries()
Gets the array of annotation entries in this annotation

Returns:
  the array of annotation entries in this annotation